function OnWarpEnter() 
	SetMarker("cs\\Warp_0073.wp" , 0 , 0) 
--	SetMarker("cs\\Dague" , 4 , 0) 

	if ETAT_DAY == "D3" then 
		
		if not FIRST_ENTRANCE_0074_D3 then
			LookAt(152,008)
			PHILIP_DEAD_GUARD_0072_D3 = false
			DrawText("Ma2553","Ma2553.ogg",0) -- C'est donc là que se reposent les gardes de Catherine de Médicis.
			FIRST_ENTRANCE_0074_D3 = true
		end
		AnimationSetToEnd("hoc1",false)
		if KNIFE_ON_WALL_0073_D3 then
			PutObject("hqc1",false)
			SetMarker("hqc1",4)
		else
			SetMarker("Dague", 4, 0)
		end
		if not BED_SHEET_0074_D3 then
			PutObject("hpc1",true)
			SetMarker("hpc1",2,0)
		else
			PutObject("hrc1",true)
			SetMarker("hrc1",4,0)
		end
	end 
	if ETAT_DAY == "D4" then 
		PutObject("hqc1",false)
		SetMarker("hqc1",4,0)
		AnimationSetToEnd("hoc1",false)


	end
	AnimationSetToEnd("hoc1",false)
end

function OnWarpLeave()
end

function AskSeparation()
end

function OnAnswered(textId)
end

function OnDialogFinished(dialogName)
	if dialogName == "Ma2553" then
		LookAt(338,7)
		DrawText("Ma2554","Ma2554.ogg",0) -- C'est sans doute à cause des armes que l'accès en est interdit.
	end

	if dialogName == "Ma2752" or dialogName == "Ma2755" or dialogName == "Ma2751" then
		if KNIFE_ON_WALL_0073_D3 then
			SetMarker("hqc1",4)
		else
			SetMarker("Dague", 4, 0)
		end
		if ETAT_DAY == "D3" then
			if not BED_SHEET_0074_D3 then
				SetMarker("hpc1",2,0)
			else
				SetMarker("hrc1",4,0)
			end
		end
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0073.wp" then 
		ChangeWarp(objectName)

	elseif objectName == "3D\\Dague" or objectName == "hqc1" then 
		if not KNIFE_ON_WALL_0073_D3 then
			SetMarker("Dague",-1,0)
			SetMarker("hqc1",-1,0)
			SetMarker("hpc1",-1,0)
			SetMarker("hrc1",-1,0)
			DrawText("Ma2752","Ma2752.ogg",0) -- La lame qui a tué le garde provient certainement d'ici.
		else
			SetMarker("hqc1",-1,0)
			SetMarker("Dague",-1,0)
			SetMarker("hpc1",-1,0)
			SetMarker("hrc1",-1,0)
			DrawText("Ma2754","Ma2754.ogg",0) -- C'est certainement l'arme qui a tué le garde.
			DrawText("Ma2756","Ma2756.ogg",0) -- Elle est bien trop propre par rapport aux autres. 
			DrawText("Ma2755","Ma2755.ogg",0) -- Le meurtrier ne manque pas de sang froid pour venir la remettre à sa place.
		end
	end

--DAY3
	if ETAT_DAY == "D3" then 
		if objectName == "hpc1" then
		    if not BED_SHEET_0074_D3 then
			RemoveObject("hpc1")
			PutObject("hrc1",true)
			SetMarker("hrc1",4)
			SetMarker("hpc1",-1,0)
			AddToBag("C_drap") --bedsheet
			BED_SHEET_0074_D3 = true
		  end
			--Draw Text
		elseif objectName == "hqc1" then

		elseif objectName == "hrc1" then
			SetMarker("Dague",-1,0)
			SetMarker("hpc1",-1,0)
			SetMarker("hrc1",-1,0)
			DrawText("Ma2751","Ma2751.ogg",0) -- De l'eau de vie ! Si le garde l'a vidée aujourd'hui, pas étonnant qu'il se soit laissé poignarder sans réagir.
		end
	end
end

